Skip to main content
GET
Get list of charging key orders

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

userId
string
required

Response

OK

id
string
required

Unique identifier of the order.

Example:

"vrj82A9EpJ"

created
string<date-time>
required

UTC timestamp when this order was created.

Example:

"2022-04-07T11:30:57.000Z"

updated
string<date-time>
required

UTC timestamp when this order was last updated.

Example:

"2022-04-07T11:30:57.000Z"

quantity
number
required

Number of charging keys included in the order.

Example:

1

state
enum<string>
required

Current order state.

Available options:
ORDER_FILLED,
ORDER_CANCELLED,
ORDER_PROCESSING,
ORDER_WAITING_3DS,
ORDER_PAYMENT_FAILED,
ORDER_REFUND_FAILED,
ORDER_REFUNDED,
ORDER_PLACED,
ORDER_PAID
Example:

"ORDER_PLACED"

address
object

Shipping address associated with this order.

currency
string

3-letter currency code

Example:

"SEK"

priceMinorInclVat
integer<int32>

price in minor units (example value is 10.10 SEK)

Example:

1010

hasReceipt
boolean

Indicates whether a receipt is available for this order.

Example:

false